%define name pdq
%define version 2.2.1
%define release 1

Summary:   Printing Tool.
Name:      %{name}
Version:   %{version}
Release:   %{release}
Group:     System/Servers
Packager:  linuxkid <linux@peanutlinux.org>
URL:       http://pdq.sourceforge.net/
Patch0:    %{name}-%{version}-Makefile.in-0.patch.bz2
Patch1:    %{name}-%{version}-Makefile.in-1.patch.bz2
Copyright: GPL
Source:    %{name}-%{version}.tar.bz2
Source1:   pdq.desktop	
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires:  GTK >= 1.2.10
%define		_sysconfdir	/etc

%description
A complete replacement for lpr, lp, lpd, lpc, lpq, lpstat, and lprm
with a graphical interface to simplify using a single printer
with multiple workstations.

You'll for sure want a print driver that's not included with pdq
for your printer type, so go here: http://www.linuxprinting.org/
and run the "PDQ-O-Matic automagic PDQ configuration generator"
which makes a driver for your printer online then click [Generate
PDQ Driver] use in Netscape [File+Save As] and save that new driver
to: /usr/lib/pdq/drivers/misc; then restart 'xpdq' and you'll now
see a new driver for your printer(s), so now configure your print 
quality and your set.

%package print-drivers-basic
Summary:	These are ghostscript drivers that come with pdq
Group:		Printing/Ghostscript

%description print-drivers-basic 
You'll for sure want a print driver that's not included with pdq
for your printer type, so go here: http://www.linuxprinting.org/
and run the "PDQ-O-Matic automagic PDQ configuration generator"
which makes a driver for your printer online then click [Generate
PDQ Driver] use in Netscape [File+Save As] and save that new driver
to: /usr/lib/pdq/drivers/misc; then restart 'xpdq' and you'll now
see a new driver for your printer(s), so now configure your print 
quality and your set.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%patch0
%patch1

%build
aclocal
autoconf
%configure --enable-pdqlibdir=%{_libdir}/pdq --enable-printrc=%{_sysconfdir}/pdq/printrc --prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/etc/pdq
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/{bin,X11R6/bin}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/{man1,man5}

make install prefix=${RPM_BUILD_ROOT}%{_prefix} \
	bindir=${RPM_BUILD_ROOT}%{_prefix}/bin \
	xpdqbindir=${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin \
	libdir=${RPM_BUILD_ROOT}%{_prefix}/lib \
	infodir=${RPM_BUILD_ROOT}%{_prefix}/info \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	pdqlibdir=${RPM_BUILD_ROOT}%{_libdir}/pdq \
	printrc_file=${RPM_BUILD_ROOT}%{_sysconfdir}/pdq/printrc

mv ${RPM_BUILD_ROOT}%{_libdir}/pdq/printrc.example \
   ${RPM_BUILD_ROOT}%{_sysconfdir}/pdq/printrc

# Use update-alternatives to make printing with PDQ also possible with
# the "lpr" command

( cd $RPM_BUILD_ROOT%{_bindir}
  ln -s pdq lpr-pdq
)
( cd $RPM_BUILD_ROOT%{_bindir}
  ln -s pdq lp
)
( cd $RPM_BUILD_ROOT%{_bindir}
  ln -s pdq lpr
)
( cd $RPM_BUILD_ROOT/%{_mandir}/man1
  ln -s pdq.1 lpr-pdq.1
)

mkdir -p /usr/lib/pdq/driver
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Office
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Office

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :
touch -c `find $RPM_BUILD_ROOT`

%clean
rm -rf $RPM_BUILD_ROOT

%post

# Set up update-alternatives entry
%{_sbindir}/update-alternatives --install %{_bindir}/lpr lpr %{_bindir}/lpr-pdq 6 --slave %{_mandir}/man1/lpr.1.bz2 lpr.1.bz2 %{_mandir}/man1/lpr-pdq.1.bz2

%preun

if [ "$1" = 0 ]; then
  # Remove update-alternatives entry
  %{_sbindir}/update-alternatives --remove lpr /usr/bin/lpr-pdq
fi

%files
%defattr(-,root,root,755)
%doc ./doc/*.txt ./doc/PROPOSED_CHANGES BUGS
%doc CHANGELOG INSTALL LICENSE README
%defattr(644,root,root,755)
#dir %{_sysconfdir}/pdq
%config(noreplace) %{_sysconfdir}/pdq/printrc

%{_libdir}/pdq/interfaces
  
%attr(4755,root,root) %{_prefix}/bin/lpd_*
%attr(4755,root,root) %{_prefix}/bin/lp
%attr(4755,root,root) %{_prefix}/bin/lpr
%attr(755,root,root) %{_prefix}/bin/pdq
%attr(755,root,root) %{_prefix}/X11R6/bin/xpdq
%{_prefix}/bin/lpr-pdq
/usr/share/peanut
%{_mandir}/man1/*.gz
%{_mandir}/man5/*.gz

%files print-drivers-basic
%{_libdir}/pdq/drivers
